#include <omp.h>
#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]) {
  int nThreads, tId;

/* START OF PARALLEL REGION */
/* Fork a team of threads  */
#pragma omp parallel private(nThreads,tId)
  {	  
    /* Each thread has own, private tId variable */
    tId = omp_get_thread_num();
    printf("Hello World thread Id %d\n",tId);

    /* the following block of statements is only *
     * executed by the mater thread (which has   *
     * tId==0 by default)			 */
    if(tId==0){
      nThreads = omp_get_num_threads();
      printf("Number of threads = %d\n",nThreads);
    }
  } 
/* END OF PARALLEL REGION */

  return 0;
}
